/*
*	texture.cpp
*
*	Programmé par Hillaire Sébastien
*
*
*	Se référé au fichier en-tête .h pour plus de détail
*
*/


#include "texture.h"
#include <iostream>
#include "MemoryManager/DebugNew.h"

using namespace RenderSystem;

Texture::Texture()
{
	id=0;
	target = GL_TEXTURE_2D;
}

Texture::~Texture()
{
	//supprime l'objet de texture OpenGL en mémoire vidéo
	glDeleteTextures(1,&id);
}

unsigned int Texture::getId()
{
	return id;
}

unsigned int Texture::getTarget()
{
	return target;
}

